org.appng.core.model

## Class PackageVersion

- java.lang.Object
- - org.appng.core.model.PackageVersion

- All Implemented Interfaces:
    Serializable, Comparable<PackageVersion>, Identifiable<Integer>, Identifier, Nameable, Named<Integer>, Versionable<Date>

      public class PackageVersion
      extends Object
      implements Identifier, Comparable<PackageVersion>

  Delegate for `ApplicationInfo`.
  Author:
    Matthias Herlitzius
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackageVersion(PackageInfo packageInfo, boolean isInstalled, boolean isDeletable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(PackageVersion o)`
    `String` | `getAppNGVersion()` Returns the version of appNG the `Application` is compatible with.
    `Datasources` | `getDatasources()`
    `String` | `getDescription()` Returns the description.
    `String` | `getDisplayName()` Returns the display name.
    `Integer` | `getId()` Returns the id.
    `String` | `getLongDescription()` Returns the description.
    `String` | `getName()` Returns the name.
    `PackageInfo` | `getPackageInfo()`
    `String` | `getPackageVersion()` Returns the version.
    `Permissions` | `getPermissions()`
    `Properties` | `getProperties()`
    `Roles` | `getRoles()`
    `String` | `getTimestamp()` Returns the timestamp the `Application` was build.
    `Date` | `getVersion()` Returns the version.
    `boolean` | `isDeletable()`
    `boolean` | `isInstalled()` Checks whether the `Application` is installed.
    `boolean` | `isSnapshot()` Checks whether the `Application` has a SNAPSHOT-version

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PackageVersion

          public PackageVersion(PackageInfo packageInfo,
                                boolean isInstalled,
                                boolean isDeletable)

  - ### Method Detail

    - #### isInstalled

          public boolean isInstalled()

      Description copied from interface: `Identifier`
      Checks whether the `Application` is installed.
      Specified by:
        `isInstalled` in interface `Identifier`
      Returns:
        `true` if the `Application` is installed, `false` otherwise

    - #### isDeletable

          public boolean isDeletable()

    - #### getPackageInfo

          public PackageInfo getPackageInfo()

    - #### getId

          public Integer getId()

      Description copied from interface: `Identifiable`
      Returns the id.
      Specified by:
        `getId` in interface `Identifiable<Integer>`
      Returns:
        the id

    - #### getPackageVersion

          public String getPackageVersion()

      Description copied from interface: `Identifier`
      Returns the version.
      Specified by:
        `getPackageVersion` in interface `Identifier`
      Returns:
        the version

    - #### getName

          public String getName()

      Description copied from interface: `Nameable`
      Returns the name.
      Specified by:
        `getName` in interface `Nameable`
      Returns:
        the name

    - #### getDescription

          public String getDescription()

      Description copied from interface: `Nameable`
      Returns the description.
      Specified by:
        `getDescription` in interface `Nameable`
      Returns:
        the description

    - #### getTimestamp

          public String getTimestamp()

      Description copied from interface: `Identifier`
      Returns the timestamp the `Application` was build.
      Specified by:
        `getTimestamp` in interface `Identifier`
      Returns:
        the timestamp the `Application` was build

    - #### getDisplayName

          public String getDisplayName()

      Description copied from interface: `Identifier`
      Returns the display name.
      Specified by:
        `getDisplayName` in interface `Identifier`
      Returns:
        the display name

    - #### getVersion

          public Date getVersion()

      Description copied from interface: `Versionable`
      Returns the version.
      Specified by:
        `getVersion` in interface `Versionable<Date>`
      Returns:
        the version

    - #### getLongDescription

          public String getLongDescription()

      Description copied from interface: `Identifier`
      Returns the description.
      Specified by:
        `getLongDescription` in interface `Identifier`
      Returns:
        the description

    - #### getAppNGVersion

          public String getAppNGVersion()

      Description copied from interface: `Identifier`
      Returns the version of appNG the `Application` is compatible with.
      Specified by:
        `getAppNGVersion` in interface `Identifier`
      Returns:
        the version of appNG the `Application` is compatible with

    - #### getRoles

          public Roles getRoles()

    - #### getPermissions

          public Permissions getPermissions()

    - #### getProperties

          public Properties getProperties()

    - #### getDatasources

          public Datasources getDatasources()

    - #### compareTo

          public int compareTo(PackageVersion o)

      Specified by:
        `compareTo` in interface `Comparable<PackageVersion>`

    - #### isSnapshot

          public boolean isSnapshot()

      Description copied from interface: `Identifier`
      Checks whether the `Application` has a SNAPSHOT-version
      Specified by:
        `isSnapshot` in interface `Identifier`
      Returns:
        `true` if the `Application` has a SNAPSHOT-version, `false` otherwise

Copyright © 2011–2023 aiticon GmbH. All rights reserved.